=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2010-03-12 21:48:50 +0000
+++ m4/pandora_canonical.m4	2010-03-18 18:14:24 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.113])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.114])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   AC_ARG_ENABLE([fat-binaries],

=== modified file 'm4/pandora_have_libcassandra.m4'
--- m4/pandora_have_libcassandra.m4	2010-03-12 21:48:50 +0000
+++ m4/pandora_have_libcassandra.m4	2010-03-18 18:14:24 +0000
@@ -16,10 +16,10 @@
     [ac_enable_libcassandra="$enableval"],
     [ac_enable_libcassandra="yes"])
 
-  AS_IF([test "x$ac_enable_libcassandra " = "xyes"],[
+  AS_IF([test "x$ac_enable_libcassandra" = "xyes"],[
     AC_LANG_PUSH([C++])
-    AC_LIB_HAVE_LINKFLAGS(cassandra,,[
-      #include <libcassandra/cassandra.h>
+    AC_LIB_HAVE_LINKFLAGS(cassandra,[thrift],[
+      #include <libcassandra/cassandra_factory.h>
     ],[
        libcassandra::CassandraFactory fact("localhost", 9306);
     ])
@@ -38,6 +38,7 @@
 
 AC_DEFUN([PANDORA_REQUIRE_LIBCASSANDRA],[
   AC_REQUIRE([PANDORA_HAVE_LIBCASSANDRA])
-  AS_IF([test x$ac_cv_libcassandra = xno],
-      AC_MSG_ERROR([libcassandra is required for ${PACKAGE}]))
+  AS_IF([test "x$ac_cv_libcassandra" = "xno"],[
+      AC_MSG_ERROR([libcassandra is required for ${PACKAGE}])
+  ])
 ])

=== modified file 'm4/pandora_have_thrift.m4'
--- m4/pandora_have_thrift.m4	2010-03-12 21:48:50 +0000
+++ m4/pandora_have_thrift.m4	2010-03-18 18:14:24 +0000
@@ -17,11 +17,13 @@
     [ac_enable_thrift="yes"])
 
   AS_IF([test "x$ac_enable_thrift" = "xyes"],[
+    AC_LANG_PUSH(C++)
     AC_LIB_HAVE_LINKFLAGS(thrift,,[
-      #include <thrift/config.h>
+      #include <thrift/Thrift.h>
     ],[
-      PACKAGE_STRING
+      apache::thrift::TOutput test_output;
     ])
+    AC_LANG_POP()
   ],[
     ac_cv_thrift="no"
   ])
@@ -36,7 +38,8 @@
 
 AC_DEFUN([PANDORA_REQUIRE_THRIFT],[
   AC_REQUIRE([PANDORA_HAVE_THRIFT])
-  AS_IF([test x$ac_cv_thrift= xno],
-      AC_MSG_ERROR([thrift required for ${PACKAGE}]))
+  AS_IF([test x$ac_cv_thrift= xno],[
+      AC_MSG_ERROR([thrift required for ${PACKAGE}])
+  ])
 ])
 

